(<<Mo-Search>> Help Index)

Mo-Search Overview

Mo-Search provides you with a powerful means of locating files on your computer. Unlike competitors, search results are ranked by Score... Translation: no more weeding through reams of matching files ordered by Date. Mo-Search has been designed from the ground up by combining relational database technology with our proprietary scoring algorithm. With Mo-Search, your computer does the searching so you don't have to.


(

Why Mo-Search?

Each passing year hard drives become larger, providing more storage for data: photos, videos, music and documents. With human nature, increased storage space leads to more storage used. As the number of files on a computer multiplies, people cannot locate information and find themselves lost under mountains of files. Mo-Search is the solution for your data retrieval needs. Mo-Search is a secure and user-friendly application designed to help you get control of your computer's data. By quickly and easily locating files and lost data, your time and data once again becomes your own.

Advantages

  • Ranked And Sorted Results: Each search produces a files list scored and sorted by relevance to maximize your productivity.
  • Easy To Use: Because relevant files are quickly located and sorted by Score, your computer does the searching, not you.
  • 100% Free Free as in $0.00, Spyware-Free and Adware-Free We would much prefer improving many people's lives (for free) than making a buck off a select few... or much worse: slamming innocent peoples computers with malicious Spyware. We are big fans of free Spyware removal tools such as Ad-Aware and SpyBot
  • Search Networked Drives (shares). Some competitors provide a free, yet neutered, search tool that prohibits searching of networked drives. Use Mo-Search to freely search all your network shares.
  • Integrated FileViewer quickly displays file contents and matches without launching separate applications.
  • Integrated EXIF info displays adjacent to Integrated FileViewer when an image contain EXIF data.

What's Indexed

All files are searchable within your Index's Paths, with the exception of temporary files.

What's Text Indexed

You can quickly search the contents of files that are Text Indexed. To keep Mo-Search small, fast and free we do rely on other programs to read their own files, such as: Word, PowerPoint and Excel.

General Check or uncheck these to quickly change what file types are Text Indexed

  • Adobe Acrobat Requires Adobe Acrobat full 5.0 or later, not to be confused with Acrobat Reader
  • Excel Requires Microsoft Excel 2000 or later.
  • Internet Explorer
  • PowerPoint Requires Microsoft PowerPoint 2000 or later
  • Word Requires Microsoft Word 2000 or later
  • Text (.bat, .cgi, .txt .vbs, .vb, .xml, etc..)

Application Development By default, the contents (text) of these file types are indexed for fast searching

  • Ada source code
  • ASP source code
  • C / C++/ C# source code
  • C# source code
  • Java source code
  • Javascript source code
  • Lex source code
  • NSIS (Nullsoft Scriptable Install System) source code
  • Oracle database configuration and script files
  • Visual Basic source code
  • Visual Studio development files
  • Windows configuration files
  • XML files

How Mo-Search works

  • Initial Index: During Mo-Search installation, your computer is indexed. While initial indexing generally takes thirty minutes, the duration of your indexing depends on your computer's speed, quantity of files, and size of files.
  • To Search: Enter search text and press [Search]. Listed results are ranked by Score. Simply select a file to display its contents in the integrated File Viewer.
  • Reindex: Periodically run Reindex to keep your search index synchronized with your files. Update your index by clicking [Tools->Reindex]. Index Update typically takes 15 minutes.


(<<Mo-Search>> Help Index)

Search Operators

Search Operators [* ? - ^] enable powerful yet precise searches. To use, simply enter desired operators as part of your search text. Note: See Search Filters (below) for information on which Filters support which Search Operators.

  • The [?] wildcard matches exactly 1 character. For example: a search of [Jo?] will match: Joe and Job but not John nor Join.
  • The [*] wildcard matches 1 or more characters. For example: a search of [Jo*] will match: Joe, Job, John and Join.
  • The [-] prefix excludes files containing that word. For example, a search of [Joe -Bob] will match Joe, but not Bob.
  • The [^] emphasizer adds weight to a word. For example, during a search of [Joe^3 Bob], each match of Joe will count three times that of Bob.
  • Combine operators for more powerful and precise searches. For example: A search of [Jo* sofware^10 -ca?], could find Joe or Joseph, with each occurrence of software counting 10 times as much, and not containing a word like [ca?], for example: cat, or car.

Search Filters

Search filters provide advanced, yet easy to use search filtering capabilities. Please note that all Search filters are case insensitive (i.e. All Search Filters ignore case)

Text

Use the Text field to search through the text of your files (i.e. the contents of your files). To use this field specify one or more search words. When specifying multiple words, separate your words with spaces. When searching for two or more words, such as [big red truck], results will contain ALL search words. (Boolean And). Note: The Text field supports these Search Operators: ? * - ^

Usage Examples:

  • Searching for [red -truck] returns results that contain [red] but NOT [truck].
  • Searching for [red^10 truck] returns results that contain [red] AND [truck], but scores each occurrence of red ten times as much as each occurrence of truck.
  • Searching for [r*d] matches all words starting with a r and ending with the letter d.
  • Searching for [r?d] matches all words starting with a r and ending with the letter d, and having exactly three letters long

Domain

Use the Domain field to quickly search through groups of File Types. Please note that the Domain and Filename filters are mutually exclusive (you may only use one at a time). To search through all Domains, set this field field to <All>. Note: You may Add, Edit or Delete your Search Domains within the Domains tab of the Options dialog.

Usage Examples:

  • Searching for [<All>] will search for all files.
  • Searching for [Archive] will search for all archive file types, which includes: .7x, .ace, .arg, .iso, .jar, etc..
  • Searching for [Media - Photo] will search for all photo file types, which includes: .bmp, .gif, .jpg, .tig, etc..
  • Searching for [Microsoft Word] will search for all Microsoft Word documents, which includes: .doc and .dot

Filename

Use the Filename field to search by filename or filename pattern. Unlike the Text field which permits multiple words to be used, only one filename (or filename pattern) may be entered in the Filename field. To search for all Filenames, then empty this field's contents. Please note that the Domain and Filename filters are mutually exclusive (you may only use one at a time). Note: The Filename field supports these Search Operators: ? * )

Usage Examples:

  • Searching for [*.doc] will search for Microsoft Word .doc files.
  • Searching for [Miller*.doc] will search for Microsoft Word .doc files starting with Miller
  • Searching for [*Miller*.doc] will search for Microsoft Word .doc files containing Miller
  • Searching for [*Miller*.do?] will search for Microsoft Word .doc or .dot files containing Miller

Path

Use the Path field to search by path or path pattern. Unlike the Text field which permits multiple words to be used, only one path may be entered in the Path field. To search through all Paths, then empty this field's contents. Note: The path field supports these Search Operators: ? *

Usage Examples:

  • Searching for [Miller] will search through all folders named Miller
  • Searching for [Miller*] will search through all folders starting with Miller
  • Searching for [*Miller*] will search through all folders containing Miller
  • Searching for [C:\*Miller*] will search through all folders containing Miller located on your C:\ drive.
  • Searching for [?:\Temp\*Miller*] will search through all folders named Temp in the root of any drive, and containing a sub folder contained Miller.


(<<Mo-Search>> Help Index)

File Results

The File Results list has integrated Windows shell functionality. Within the File Results list, right-click on a file to Print, Edit, display Properties, etc. Any right-click action that exists within Windows Explorer should exist within the File Results list.


(<<Mo-Search>> Help Index)

FileViewer

The Integrated FileViewer displays highlighted matches. This provides you with a fast means of reviewing (and stepping through) a particular file's search results. Use the [Previous] and [Next] buttons to quickly scroll through a file's matching words, as specified by your search text (even when wildcards are used). Meaning: When you search using wildcards, the matching item are highlighted in the File Viewer, and accessible using the [Previous] and [Next] buttons.

Email Composes an Email Message in Microsoft Outlook and attaches this file. This feature requires Microsoft Outlook 2000 or later.

Explore Explores the file's folder in Windows Explorer.

Open Opens the file in associated editor for your computer.

Print Prints the file using your computer's associated editor.

Previous Scrolls to the file's previous next matching word - this is only usable when your search included search Text

Next Scrolls to the file's next next matching word - this is only usable when your search included search Text.


(

Options

After installation, configure these Options to meet your needs: On the menu bar, select Tools->Options. Under General, configure Search, Results and FileViewer settings. Under System, configure integration with Windows. Under Domains, group file types to simply your searching. Under the Index, specify paths to index. Under the Text Index, specify which file type are to be Text searchable.

General

This tab provides various options that apply to each Search and the matching Results. Because this tab does NOT contain any index options, changes within this tab do NOT require a subsequent [Reindex].

Layout

Simple On the main Search dialog, extraneous controls are hidden - only Search specific are displayed.

Search

Stemming Increases the number of matches by automatically searching all stems of a word. Please note the literal stem is used, not the linguistically proper stem. (For example: When stemming is checked, a search of [On] will match words [One, Only, Onto, etc] even though these words are not based on a linguistically proper stem).

Results

Sort Results by Score when applicable Sorts the results by Score. If this is unchecked, the results are sorted by the last column you manually sorted by.

Play Sound upon search completion Because searching smaller data sets with a fast computer may take no time at all (literally faster than the blink of an eye), a sound is played to alert the user of the search completion. Please note that one sound indicates matching results were found, while a different sound indicates no matches.

File Viewer

Display selected file's contents in the File Viewer When checked, the file's contents will display within the integrated FileViewer when a compatible viewer is available.

When loading image files, show EXIF information when available When an image contains EXIF information, display that EXIF information next to the image. EXIF information is generated by Digital cameras and contains various information such as shutter speed, resolution, aperture, etc. Please note that different digital cameras often generate different EXIF information.

Tabs When displaying files with tabs, convert all tabs to this many spaces.

Font Name Display text using the specified font name. Please note: Some fonts may not be fully compatible within this application on your system.

Font Size Display text using the specified font size. Please note: This size only affects FileViewer text and not secondary text such as EXIF information.

System

Use this tab to configure how this application integrates into your installation of Windows

Shell Integration - What application options would you like integrated into Windows Explorer right-click context menu? Enabled options will display in

Reindex Provides the ability to immediately Reindex a hot (heavily changed) area of your file system.

  • To Reindex all indexed folder from the command line: ["C:\Program Files\Meauxsoft\Mo-Search2.5\mo-search.exe" /FldrFastIndx]
  • To Reindex one folder from the command line: ["C:\Program Files\Meauxsoft\Mo-Search2.5\mo-search.exe" /FldrFastIndx "/X:\Data"]

Find Duplicate Files Launches the Find Duplicate Files tool which quickly find and groups duplicate files.

  • To launch this tool on the command line: ["C:\Program Files\Meauxsoft\Mo-Search2.5\mo-search.exe" /FindDupFiles "/X:\Data"]

Find File Types Launches the Find File Types tool which quickly calculates the statistical distribution of file types in a given directory.

  • To launch this tool on the command line: ["C:\Program Files\Meauxsoft\Mo-Search2.5\mo-search.exe" /FindFileTypes "/X:\Data"]

Search Launches the Search tool on a given directory.

  • To launch this tool on the command line: ["C:\Program Files\Meauxsoft\Mo-Search2.5\mo-search.exe" /FldrSearch "/X:\Data"]

Indexing

Dual-Pass Optimization The final step of Reindexing is optimization of your index. Prior to version 2.5, dual-pass optimization was the standard method; on version 2.5 and later, optimization has been improved and simplified to single-pass optimization. Our testing indicates the new single-pass optimization is twice as fast as just as thorough. Although you will probably never need dual-pass optimization, the option has been added in case you feel you need it.

Domains

Domains provide you with a simple, flexible and powerful means of searching your computer. The general idea is to group similar file extensions into a single domain. For example, if you often find yourself searching extensions [.doc, .jpg, .xls and .wma], then add a new Domain [Ted's Files] using your extensions. Next time you go to search, you can quickly search all of files [Ted's Files].

Add Adds a new Domain to your index.

Edit Change the selected Domain. (Double-clicking an item in the list is another way to quickly Edit an item)

Del Removes the selected Domain.

Index

This tab is where you specify which paths are to be indexed and thus searchable. Add, Edit and Del paths to suit your needs. After making changes within this tab, be sure to [Reindex].

Defaults Automatically sets your paths using typically recommended defaults.

Specific Paths These are specific paths to be included or excluded from your searches. .

Explore Opens the selected Path using Windows Explorer.

Add Adds a new Path to your index.

Edit Change the selected Path from Omit to Include or vice versa (Double-clicking an item in the list is another way to quickly Edit an item)

Del Removes the selected Path.

Omit Folders Folders with a name matching an item in this list will always be excluded from your searches.

Add Adds a new Omit Folder to your index.

Del Removes the selected Omit Folder.

Full-Text Index

This tab lets you select which file types are searchable by the file contents. After making changes within this tab, be sure to Reindex (On the menu bar, select Tools->Reindex).

Defaults Automatically sets your Text Index file types to typically recommended defaults.

Advanced Allows you to manually Add or Del selected file types.

Statistics

This tab contains general information on this application's internal index database.


(

Reindex

To update your index, near the top of the application window, click on [Tools->Reindex]. As files are added, edited, deleted and moved, your index will periodically require updating to ensure your searches are efficient and effective.

Updating your index can take anywhere from a few seconds to a few hours. The actual time required depends on:

  1. The speed of your computer (CPU, Harddrive, RAM, etc). Generally speaking, a newer/ faster computer will index faster.
  2. Your computer's application load during indexing. Indexing will take much longer if other applications are slowing your computer to a crawl (spyware, defragmenters, diagnostics, etc). To remove spyware, we recommend these free spyware removal tool:
    • SpyBot: http://www.safer-networking.org/
    • Ad-Aware www.lavasoftusa.com
  3. The number of files to Index (Under Options.Index). Indexing more files will take longer
  4. The number of files to Text Index (Under Options.Text Index). Text Indexing more file types will take longer.

Notes

  • Indexing can be canceled at any time. Doing so will display a message indicating your index was not completely updated (which your probably already know).
  • The Indexing engine is smart and knows what has already been indexed. Upon canceling [Reindex], and then re-starting: Indexing will continues from the point where its was canceled. Meaning: [You are not really wasting much time if you need to Cancel and then later restart your indexing.